
QGIS Application - Bug report #11659

field calculator mini dump

2014-11-16 05:21 AM - viviana stanzione

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.6.0 Regression?: No

Operating System: window Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19910

Description

Hi,

if I try to calculate values from the field calculator of Processing, Qgis will give to me this error message (please find the attachment).

If I do the same with the field calculator of Qgis I will not have this dump. I have a development qgis version which I have update today

morning. 

Thank you

Best wishes,

Viviana Stanzione

History

#1 - 2014-11-16 07:55 AM - Paolo Cavallini

- Priority changed from Normal to High

Confirmed

#2 - 2014-11-16 01:44 PM - Giovanni Manghi

- Status changed from Open to Feedback

tested (on Linux and qgis master)on a shape with a couple of millions records and went all fine.

More details are needed (what kind of column, what operation, what data).

#3 - 2014-11-17 10:01 AM - viviana stanzione

- File Cattura.PNG added

Hi,

I have a shape file with  lines  and I ask to the field calculator in Processing to calculate the length of these lines ($length). It shows to me the preview of the

final result (attachment) but then it doesn't calculate the length but..dump!

 If  I ask the same operation to the qgis field calc. it works well and creates a new column with the length data.

Thanks for the time and sorry for the previous missing data, this is my first ticket  ; )

viviana

#4 - 2014-11-21 12:10 AM - Victor Olaya
I added a fix and it should be fine know. Could you retest?

#5 - 2014-11-22 02:03 AM - Alexander Bruy

Possibly duplicates #11488

#6 - 2014-11-22 02:55 AM - Alexander Bruy

Fixed in commit:6637796719

#7 - 2014-11-22 02:55 AM - Alexander Bruy

- Resolution set to fixed/implemented

#8 - 2014-11-22 02:56 AM - Alexander Bruy

- Status changed from Feedback to Closed

#9 - 2014-11-27 04:20 AM - viviana stanzione

Yes, it is working!

Thanks

Best wishes,

viviana

Files

dump.PNG 249 KB 2014-11-16 viviana stanzione

Cattura.PNG 112 KB 2014-11-17 viviana stanzione
